<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE install SYSTEM "http://www.joomla.org/xml/dtd/1.5/plugin-install.dtd">
<install type="plugin" group="system" version="1.5">
	<name>System - Cache Cleaner</name>
	<description>Cache Cleaner - clean cache fast in Joomla!</description>
	<version>1.3.0</version>
	<creationDate>July 2010</creationDate>
	<author>NoNumber! (Peter van Westen)</author>
	<authorEmail>peter@nonumber.nl</authorEmail>
	<authorUrl>http://www.nonumber.nl</authorUrl>
	<copyright>Copyright (C) 2010 NoNumber! All Rights Reserved</copyright>
	<license>http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL</license>

	<!-- Files -->
	<files>
		<filename plugin="cachecleaner">cachecleaner.php</filename>
		<folder>cachecleaner</folder>
	</files>

	<!-- Parameters -->
	<params addpath="/plugins/system/nonumberelements/elements">
		<param name="@loadlanguage" type="loadlanguage" extension="plg_system_cachecleaner" />
		<param name="@license" type="license" extension="Cache Cleaner" />
		<param name="@version" type="version" extension="Cache Cleaner" xml="administrator/modules/mod_cachecleaner/mod_cachecleaner.xml" />
		<param name="@title" type="title"
			label="Cache Cleaner" description="With Cache Cleaner you can clean your cache fast and easily"
			image="/plugins/system/cachecleaner/images/logo.png"
			image_w="60" image_h="80"
			url="http://www.nonumber.nl/cachecleaner"
			help_url="http://www.nonumber.nl/cachecleaner" />

		<param name="@title" type="title" start="1" label="Automatic cleaning on Save" description="Automatic cleaning on Save (description)" />
			<param name="@title" type="title" start="1" blocktype="fieldset"  label="Administrator" />
				<param name="auto_save_admin" type="radio" default="0" label="Enable" description="Automatic cleaning on Save (description)">
					<option value="0">No</option>
					<option value="1">Yes</option>
				</param>
				<param name="@toggler" type="toggler" param="auto_save_admin" value="1" />
					<param name="auto_save_admin_msg" type="radio" default="1" label="Show message" description="Show message (description)">
						<option value="0">No</option>
						<option value="1">Yes</option>
					</param>
				<param name="@toggler" type="toggler" />
			<param name="@title" type="title" end="1" />
			<param name="@title" type="title" start="1" blocktype="fieldset" label="Frontend" />
				<param name="auto_save_front" type="radio" default="0" label="Enable" description="Automatic cleaning on Save (description)">
					<option value="0">No</option>
					<option value="1">Yes</option>
				</param>
				<param name="@toggler" type="toggler" param="auto_save_front" value="1" />
					<param name="auto_save_front_msg" type="radio" default="0" label="Show message" description="Show message (description)">
						<option value="0">No</option>
						<option value="1">Yes</option>
					</param>
				<param name="@toggler" type="toggler" />
			<param name="@title" type="title" end="1" />
		<param name="@title" type="title" end="1" />

		<param name="@title" type="title" start="1" label="Automatic cleaning by Interval" description="Automatic cleaning by Interval (description)" />
			<param name="@title" type="title" start="1" blocktype="fieldset" label="Administrator" />
				<param name="auto_interval_admin" type="radio" default="0" label="Enable" description="Automatic cleaning by Interval (description)">
					<option value="0">No</option>
					<option value="1">Yes</option>
				</param>
				<param name="@toggler" type="toggler" param="auto_interval_admin" value="1" />
					<param name="auto_interval_admin_secs" type="text" default="3600" label="Seconds" description="Seconds (description)" />
					<param name="auto_interval_admin_msg" type="radio" default="0" label="Show message" description="Show message (description)">
						<option value="0">No</option>
						<option value="1">Yes</option>
					</param>
				<param name="@toggler" type="toggler" />
			<param name="@title" type="title" end="1" />
			<param name="@title" type="title" start="1" blocktype="fieldset"  label="Frontend" />
				<param name="auto_interval_front" type="radio" default="0" label="Enable" description="Automatic cleaning by Interval (description)">
					<option value="0">No</option>
					<option value="1">Yes</option>
				</param>
				<param name="@toggler" type="toggler" param="auto_interval_front" value="1" />
					<param name="auto_interval_front_secs" type="text" default="3600" label="Seconds" description="Seconds (description)" />
					<param name="auto_interval_front_msg" type="radio" default="0" label="Show message" description="Show message (description)">
						<option value="0">No</option>
						<option value="1">Yes</option>
					</param>
				<param name="@toggler" type="toggler" />
			<param name="@title" type="title" end="1" />
		<param name="@title" type="title" end="1" />

		<param name="@title" type="title" start="1" label="Frontend secret url" description="Frontend secret url (description)" />
			<param name="frontend_secret" type="text" default="" label="Frontend secret" description="Frontend secret (description)" />
		<param name="@title" type="title" end="1" />

		<param name="@title" type="title" start="1" label="3rd Party Cache" description="3rd Party Cache (description)" />
			<param name="clean_cmslib" type="radio" default="1" label="CMSLib Cache" description="CMSLib Cache (description)">
				<option value="0">No</option>
				<option value="1">Yes</option>
			</param>
			<param name="clean_jre" type="radio" default="1" label="JRE Cache" description="JRE Cache (description)">
				<option value="0">No</option>
				<option value="1">Yes</option>
			</param>
		<param name="@title" type="title" end="1" />

		<param name="@title" type="title" start="1" label="Clean Other Folder" description="Clean Other Folder (description)" />
			<param name="clean_tmp" type="radio" default="0" label="Empty tmp folder" description="Empty tmp folder (description)">
				<option value="0">No</option>
				<option value="1">Yes</option>
			</param>
			<param name="clean_folders" type="textareaplus" width="300" default="" label="Custom Folders" description="Custom Folders (description)" />
			<param name="@toggler" type="toggler" param="auto_save_admin|auto_save_front" value="1|1" />
				<param name="auto_save_folders" type="radio" default="0" label="Automatic cleaning on Save" description="Automatic cleaning on Save FOLDER (description)">
					<option value="0">No</option>
					<option value="1">Yes</option>
				</param>
			<param name="@toggler" type="toggler" />
			<param name="@toggler" type="toggler" param="auto_interval_admin|auto_interval_front" value="1|1" />
				<param name="auto_interval_folders" type="radio" default="0" label="Automatic cleaning by Interval" description="Automatic cleaning by Interval FOLDER (description)">
					<option value="0">No</option>
					<option value="1">Yes</option>
				</param>
			<param name="@toggler" type="toggler" />
		<param name="@title" type="title" end="1" />
	</params>
</install>